### Constructor

# Gtk.Video.new_for_filename

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `filename`.

This is a utility function that calls `gtk_video_new_for_file()`, See that function for details.

#### Parameters

`filename` | `const char*`
| filename to play back
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding

#### Return value

Returns: `GtkWidget`
a new `GtkVideo`
Ownership is not transferred to the caller